Subject: Re: bug#8868: 24.0.50; Scroll bar in the minibuffer

From: martin rudalics <[email-masked]>
Date: Thu, 1 Aug 2019 10:54:30 +0200

tags 8868 fixed
close 8868 27.1
quit

 > What is the point of having a vertical scroll bar in the minibuffer?
 > How often is the minibuffer high enough to need it?
 >
 > I see it as something useless, aesthetically awful, a waste of
 > horizontal space in the minibuffer.
 >
 > Thus, I'd like to suggest either to remove it, or, if someone sees a
 > reason to keep it, control its visibility with its own
 > variable/command (different from `scroll-bar-mode').

It's now possible to do the latter reliably by adding the following
form

(add-hook 'after-make-frame-functions
           (lambda (frame)
             (set-window-scroll-bars
              (minibuffer-window frame) 0 nil 0 nil t)))

to the early init file.  I added a corresponding example to the Elisp
manual and mark this bug as done.

Thanks, martin